Attribute VB_Name = "standartModule"

Private Const iColor1 = vbRed     ' 
Private Const iColor2 = vbGreen   '/  
Private Const iColor3 = vbYellow  ' //
Private Const iColor4 = vbMagenta '  

'   ,   ,     RGB
'   ColorIndex ' Interior

Private Sub SetColorRow()
    Dim iDest As Range, iSource  As Range, iCount%
    Dim iCell As Range, iFindCell As Range, iText$
    Dim iFindSimilar As Boolean, iCountSimilar&
    
    If Not TypeOf ActiveSheet Is Worksheet Then
       MsgBox ",     ", vbCritical, ""
       Exit Sub
    End If
    
    Set iDest = ActiveSheet.UsedRange.Columns(5)
    Set iSource = Workbooks("2.xls").Worksheets(1).UsedRange '.Columns(5)
    
    Application.ScreenUpdating = False
    
    iDest = Application.Trim(iDest)
    
    iSource = Application.Trim(iSource)
    iSource.Columns(17).Replace ".", ".", xlPart
    
    'iSource.Interior.ColorIndex = xlNone
    'iDest.EntireRow.Interior.ColorIndex = xlNone
    
    ' ,  , 
    '    , 
    '       [1,2]
    
    For Each iCell In iDest.Cells
        If Not IsEmpty(iCell) Then
           Application.StatusBar = " = " & iCell.Text
           
           Set iFindCell = iSource.Find(iCell, , xlValues, xlWhole, , , False)
           If Not iFindCell Is Nothing Then
              SetColorCell iCell, iFindCell, iColor3
              AnalyzePrice iCell(1, 13), iFindCell(1, 14)
              AnalyzePrice iCell(1, 14), iFindCell(1, 13)
           Else
              iFindSimilar = False: iText = iCell.Value
              
              '   ,   
              ' ,  , ,
              ',    
              '  .
              
              ',    
              ',     
              '   ( 
              'LookAt:=xlWhole  Find ' Range)
              
              '   , 
              '   ,   
              '     " 1020",
              '  1020/20    / 10
              '      1026   1033
              
              For iCount = 1 To Int(Len(iText) * 0.25) '25%
                  iText = Left(iText, Len(iText) - 1)
                  
                  Set iFindCell = iSource.Find(iText, , xlValues, xlWhole, , , False)
                  If Not iFindCell Is Nothing Then
                     SetColorCell iCell, iFindCell, iColor4
                     AnalyzePrice iCell(1, 13), iFindCell(1, 14)
                     AnalyzePrice iCell(1, 14), iFindCell(1, 13)
                     
                     iCountSimilar = iCountSimilar + 1
                     iFindSimilar = True: Exit For
                  End If
              Next
              
              If Not iFindSimilar Then _
                 iCell.Resize(, 14).Interior.Color = iColor1
           End If
        End If
    Next

    Application.StatusBar = False
    Application.ScreenUpdating = True
    
    If iCountSimilar > 0 Then
       MsgBox " ,     " & _
       iCountSimilar & "   ", vbExclamation, ""
    Else
       MsgBox "  ...", vbInformation, ""
    End If
End Sub

Private Sub AnalyzePrice(Cell1 As Range, Cell2 As Range)
    If Cell1.Value = Cell2.Value Then
       SetColorCell Cell1, Cell2, iColor3
    Else
       SetColorCell Cell1, Cell2, iColor2
    End If
End Sub

Private Sub SetColorCell(Cell1 As Range, Cell2 As Range, ColorRGB&)
    Cell1.Interior.Color = ColorRGB
    Cell2.Interior.Color = ColorRGB
End Sub

'Private Sub SetColorCell(Identified As Boolean, Cell1 As Range, Cell2 As Range)
'    Cell1.Interior.Color = IIf(Identified, Color3, Color2)
'    Cell2.Interior.Color = IIf(Identified, Color3, Color2)
'End Sub